<?php
// +-------------------------------------------------+
// | 2002-2011 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: cms_module_languages.class.php,v 1.3 2025/07/22 11:53:09 rtigero Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class cms_module_languages extends cms_module_common_module {
	
	public function __construct($id=0){
		$this->module_path = str_replace(basename(__FILE__),"",__FILE__);
		parent::__construct($id);
	}
	
	public function check_conditions()
	{
		//On surcharge la verif des conditions d'affichage pour verifier
		//si le parametre show_languages est actif
		global $opac_show_languages;
		
		$params = explode(" ", $opac_show_languages);
		if(empty($params[0]) || $params[0] == "0") {
			return false;
		}
		
		return parent::check_conditions();
	}
}